Freeciv-3.1: packet_city_info Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
packet_city_info Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | id16
int | id32
int | tile
int | owner
int | original
int | size
int | city_radius_sq
int | style
enum capital_type | capital
int | ppl_happy [FEELING_LAST]
int | ppl_content [FEELING_LAST]
int | ppl_unhappy [FEELING_LAST]
int | ppl_angry [FEELING_LAST]
int | specialists_size
int | specialists [SP_MAX]
int | history
int | culture
int | buy_cost
int | surplus [O_LAST]
int | waste [O_LAST]
int | unhappy_penalty [O_LAST]
int | prod [O_LAST]
int | citizen_base [O_LAST]
int | usage [O_LAST]
int | food_stock
int | shield_stock
int | trade_route_count
int | pollution
int | illness_trade
int | production_kind
int | production_value
int | turn_founded
int | turn_last_built
int | changed_from_kind
int | changed_from_value
int | before_change_shields
int | disbanded_shields
int | caravan_shields
int | last_turns_shield_surplus
int | airlift
bool | did_buy
bool | did_sell
bool | was_happy
bool | diplomat_investigate
int | walls
int | city_image
int | steal
struct worklist | worklist
bv_imprs | improvements
bv_city_options | city_options
char | name [MAX_LEN_CITYNAME]

## Detailed Description

Definition at line 326 of file packets_gen.h.

## Field Documentation

## ◆ airlift

int packet_city_info::airlift

Definition at line 366 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ before_change_shields

int packet_city_info::before_change_shields

Definition at line 362 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ buy_cost

int packet_city_info::buy_cost

Definition at line 344 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ capital

enum capital_type packet_city_info::capital

Definition at line 335 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ caravan_shields

int packet_city_info::caravan_shields

Definition at line 364 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ changed_from_kind

int packet_city_info::changed_from_kind

Definition at line 360 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ changed_from_value

int packet_city_info::changed_from_value

Definition at line 361 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ citizen_base

int packet_city_info::citizen_base[O_LAST]

Definition at line 349 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ city_image

int packet_city_info::city_image

Definition at line 372 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ city_options

bv_city_options packet_city_info::city_options

Definition at line 376 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ city_radius_sq

int packet_city_info::city_radius_sq

Definition at line 333 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ culture

int packet_city_info::culture

Definition at line 343 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ did_buy

bool packet_city_info::did_buy

Definition at line 367 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ did_sell

bool packet_city_info::did_sell

Definition at line 368 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ diplomat_investigate

bool packet_city_info::diplomat_investigate

Definition at line 370 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ disbanded_shields

int packet_city_info::disbanded_shields

Definition at line 363 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ food_stock

int packet_city_info::food_stock

Definition at line 351 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ history

int packet_city_info::history

Definition at line 342 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ id16

int packet_city_info::id16

Definition at line 327 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), receive_packet_city_info_102(), receive_packet_city_info_103(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ id32

int packet_city_info::id32

Definition at line 328 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), and send_packet_city_info_101().

## ◆ illness_trade

int packet_city_info::illness_trade

Definition at line 355 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ improvements

bv_imprs packet_city_info::improvements

Definition at line 375 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ last_turns_shield_surplus

int packet_city_info::last_turns_shield_surplus

Definition at line 365 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ name

char packet_city_info::name[MAX_LEN_CITYNAME]

Definition at line 377 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ original

int packet_city_info::original

Definition at line 331 of file packets_gen.h.

Referenced by broadcast_city_info(), diplomat_investigate(), handle_city_info(), send_city_info_at_tile(), send_packet_city_info_100(), and send_packet_city_info_102().

## ◆ owner

int packet_city_info::owner

Definition at line 330 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ pollution

int packet_city_info::pollution

Definition at line 354 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ ppl_angry

int packet_city_info::ppl_angry[FEELING_LAST]

Definition at line 339 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ ppl_content

int packet_city_info::ppl_content[FEELING_LAST]

Definition at line 337 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ ppl_happy

int packet_city_info::ppl_happy[FEELING_LAST]

Definition at line 336 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ ppl_unhappy

int packet_city_info::ppl_unhappy[FEELING_LAST]

Definition at line 338 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ prod

int packet_city_info::prod[O_LAST]

Definition at line 348 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ production_kind

int packet_city_info::production_kind

Definition at line 356 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ production_value

int packet_city_info::production_value

Definition at line 357 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ shield_stock

int packet_city_info::shield_stock

Definition at line 352 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ size

int packet_city_info::size

Definition at line 332 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ specialists

int packet_city_info::specialists[SP_MAX]

Definition at line 341 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ specialists_size

int packet_city_info::specialists_size

Definition at line 340 of file packets_gen.h.

Referenced by package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ steal

int packet_city_info::steal

Definition at line 373 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ style

int packet_city_info::style

Definition at line 334 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ surplus

int packet_city_info::surplus[O_LAST]

Definition at line 345 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ tile

int packet_city_info::tile

Definition at line 329 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ trade_route_count

int packet_city_info::trade_route_count

Definition at line 353 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ turn_founded

int packet_city_info::turn_founded

Definition at line 358 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ turn_last_built

int packet_city_info::turn_last_built

Definition at line 359 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ unhappy_penalty

int packet_city_info::unhappy_penalty[O_LAST]

Definition at line 347 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ usage

int packet_city_info::usage[O_LAST]

Definition at line 350 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ walls

int packet_city_info::walls

Definition at line 371 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ was_happy

bool packet_city_info::was_happy

Definition at line 369 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ waste

int packet_city_info::waste[O_LAST]

Definition at line 346 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().

## ◆ worklist

struct worklist packet_city_info::worklist

Definition at line 374 of file packets_gen.h.

Referenced by handle_city_info(), package_city(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), and send_packet_city_info_103().